<%= link_to 'Back', task_lists_path %>
<%= link_to('Logout', destroy_user_session_path, method: :delete) %>
<h2> Edit task <%= @task.name %> </h2>
<%= link_to 'New Todo', new_task_list_todo_path(task_list_id: @task.id) %>
<br/>
<%= form_for @task do |f| %>
  <%= f.label :name %>
  <%= f.text_field :name %>
  <br/>
  <table>
    <%= f.fields_for :todos do |builder| %>
      <% if builder.object.id? %>
        <div class="task-list-todo", id="todo-<%= builder.object.id%>">
          <%= builder.check_box :completed %>
          <%= builder.text_field :description %>
          <%= builder.number_field :priority %>
          Delete? <%= builder.check_box :_destroy%>
        </div>
      <% end %>
      <br/>
    <% end %>
  </table>
  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>


